package de.wdew.test;

import android.app.*;
import android.content.*;
import android.os.*;
import android.widget.*;

public class alarmreceiver
{

	Context context;
	
	public void create(String message)
	{
		Toast.makeText(context, message, Toast.LENGTH_LONG).show();
		
		Vibrator vib = (Vibrator) context.getSystemService(Context.VIBRATOR_SERVICE);
		vib.vibrate(3000);
		
		NotificationManager notman = (NotificationManager) context.getSystemService(Context.NOTIFICATION_SERVICE);
		
		Notification notification = new Notification(
			android.R.drawable.stat_notify_sync, message, System.currentTimeMillis()
		);
		notification.flags = Notification.FLAG_AUTO_CANCEL;
		PendingIntent contentIntent = PendingIntent.getActivity(
			context.getApplicationContext(),
			0,
			new Intent(
				context.getApplicationContext(),
				MainActivity.class
			),
			PendingIntent.FLAG_UPDATE_CURRENT
		);
		
		notification.ledARGB = 0xffcc50db;
		notification.flags |= Notification.FLAG_SHOW_LIGHTS;
		notification.ledOnMS = 100;
		notification.ledOffMS = 100;
		
		notification.setLatestEventInfo(
			context.getApplicationContext(),
			"Alarm",
			message,
			contentIntent
		);
		
		notman.notify(0, notification);
	}
	
	public void make(Context ct) {
		context = ct;
	}
}
