package de.wdew.test;

import java.util.HashMap;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import android.content.Context;
import android.content.SharedPreferences;
import android.util.Log;

public class serverinfo
{
	private JSONObject jsonObj;
	private JSONArray actcat = null;
	private String serversoffline = "";
	private Context context;
	private Integer serverofflinecounter = 0;
	
	
	public boolean makeinit(String url) {
		gethttp gh = new gethttp();
		String jsonStr = gh.makeServiceCall(url, gethttp.GET);
		if (jsonStr != null) {
			try {
				jsonObj = new JSONObject(jsonStr);
				return true;
			} catch (JSONException e) {
				e.printStackTrace();
				return false;
			}
		} else {
			Log.e("ServiceHandler", "Couldn't get any data from the url");
			return false;
		}
	}
	
	public void makeinit(Context ct) {
		context = ct;
	}
	
	public boolean allserveronline(String[] maincats) {;
		try {
			for (int x = 0; x < maincats.length; x++) {
				actcat = jsonObj.getJSONArray(maincats[x]);
				
				for (int i = 0; i < actcat.length(); i++) {
					JSONObject c = actcat.getJSONObject(i);

					String domain = c.getString("domain");
					String status = c.getString("status");
					JSONObject services = c.getJSONObject("services");
					String ssh = services.getString("SSH");
					
					if(changetonull("domain", domain, Integer.parseInt(status))) {
						serversoffline += ", " + domain;
						serverofflinecounter++;
					}
					if(changetonull("ssh", ssh, Integer.parseInt(status))) {
						serversoffline += ", ssh:" + domain;
						serverofflinecounter++;
					}
				}
			}
	} catch (JSONException e) {
		e.printStackTrace();
	}
		return false;
	}
	
	private boolean changetonull(String cat, String domain, Integer status) {
		SharedPreferences pref = context.getSharedPreferences("Server", 0);
		if(pref.getInt(cat + domain, 0) == 1 && status == 0) {
			pref.edit().putInt(cat + domain, 0);
			return true;
		} else if(status == 1) {
			pref.edit().putInt(cat + domain, 1);
			return false;
		}
		return false;
	}

	public String serversoffline() {
		return serversoffline;
	}
	
	public Integer serverscountoffline() {
		return serverofflinecounter;
	}
	
}
